const statusBarUI = {
	height: 0, //状态栏的高度
}

const navigationBarUI = {
	height: 0, //导航栏的高度
}

const scrollViewUI = {
	height1: 0, //只有导航栏时，scroll-view 的高度
}

function init() {
	let systemInfo = uni.getSystemInfoSync()
	// 导航栏高度固定为 44px，状态栏高度为 systemInfo.statusBarHeight
	statusBarUI.height = systemInfo.statusBarHeight
	navigationBarUI.height = statusBarUI.height + 44
	scrollViewUI.height1 = systemInfo.screenHeight - navigationBarUI.height - systemInfo.safeAreaInsets.bottom
}

const uLoadingPageUI = {
	empty: {
		isShow: true,
		iconSize: 220,
		image: "/static/icon-empty.png",
		loadingText: "暂无内容",
		fontSize: 14,
	},
	loading: {
		isShow: true,
		iconSize: 28,
		image: "",
		loadingText: "加载中",
		fontSize: 14,
	}
}

export default {
	uLoadingPageUI: uLoadingPageUI,
	scrollViewUI: scrollViewUI,
	init: init,
}